summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrrelyea <rrelyea@fba4d07e-fe0f-4d7f-8147-e0026e666dc0>2007-02-14 00:46:29 +0000
committerrrelyea <rrelyea@fba4d07e-fe0f-4d7f-8147-e0026e666dc0>2007-02-14 00:46:29 +0000
commit0229a0518eebbd03e8b78702745dc99db3fcfe88 (patch)
treed44be835a1e4580e8e40b16e7b1af86537d4d124
parent2305de44e3adcb931be2d4f0125859fe6f7d9d58 (diff)
Make file clean up:
don't distribute .a and .la files. fix build problem when --enable-pk11install is not set. Add dist values so make dist includes the correct files. git-svn-id: http://svn.fedorahosted.org/svn/coolkey/trunk@49 fba4d07e-fe0f-4d7f-8147-e0026e666dc0
-rwxr-xr-xconfigure84
-rw-r--r--configure.in14
-rw-r--r--coolkey.spec19
-rw-r--r--src/coolkey/Makefile.am6
-rw-r--r--src/coolkey/Makefile.in26
-rw-r--r--src/coolkey/machdep.cpp2
-rw-r--r--src/coolkey/slot.cpp14
-rw-r--r--src/libckyapplet/Makefile.am11
-rw-r--r--src/libckyapplet/Makefile.in23
9 files changed, 110 insertions, 89 deletions
diff --git a/configure b/configure
index 1762502..5032f9b 100755
--- a/configure
+++ b/configure
@@ -1068,7 +1068,6 @@ Optional Packages:
both]
--with-tags[=TAGS]
include additional configurations [automatic]
- --with-pcsclite Use pcsc-lite (default=yes)
Some influential environment variables:
CC C compiler command
@@ -4288,7 +4287,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4291 "configure"' > conftest.$ac_ext
+ echo '#line 4290 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -5423,7 +5422,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:5426:" \
+echo "$as_me:5425:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6486,11 +6485,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6489: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6488: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6493: \$? = $ac_status" >&5
+ echo "$as_me:6492: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -6754,11 +6753,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6757: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6756: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6761: \$? = $ac_status" >&5
+ echo "$as_me:6760: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -6858,11 +6857,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6861: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6860: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:6865: \$? = $ac_status" >&5
+ echo "$as_me:6864: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8327,7 +8326,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 8330 "configure"' > conftest.$ac_ext
+ echo '#line 8329 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -9224,7 +9223,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9227 "configure"
+#line 9226 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9324,7 +9323,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9327 "configure"
+#line 9326 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11665,11 +11664,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11668: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11667: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:11672: \$? = $ac_status" >&5
+ echo "$as_me:11671: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -11769,11 +11768,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11772: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11771: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:11776: \$? = $ac_status" >&5
+ echo "$as_me:11775: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12305,7 +12304,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 12308 "configure"' > conftest.$ac_ext
+ echo '#line 12307 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -13360,11 +13359,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13363: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13362: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13367: \$? = $ac_status" >&5
+ echo "$as_me:13366: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -13464,11 +13463,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13467: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13466: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13471: \$? = $ac_status" >&5
+ echo "$as_me:13470: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14913,7 +14912,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 14916 "configure"' > conftest.$ac_ext
+ echo '#line 14915 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -15688,11 +15687,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15691: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15690: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15695: \$? = $ac_status" >&5
+ echo "$as_me:15694: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -15956,11 +15955,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15959: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15958: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15963: \$? = $ac_status" >&5
+ echo "$as_me:15962: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16060,11 +16059,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16063: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16062: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16067: \$? = $ac_status" >&5
+ echo "$as_me:16066: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -17529,7 +17528,7 @@ linux*)
libsuff=
case "$host_cpu" in
x86_64*|s390x*|powerpc64*)
- echo '#line 17532 "configure"' > conftest.$ac_ext
+ echo '#line 17531 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -19004,16 +19003,6 @@ fi
LIBCKYAPPLET="\${top_builddir}/src/libckyapplet/libckyapplet.la"
-# Check whether --with-pcsclite or --without-pcsclite was given.
-if test "${with_pcsclite+set}" = set; then
- withval="$with_pcsclite"
-
-fi;
-if test "$with_pcsclite" = "no" -o "$with_pcsclite" = "false"
-then
- with_pcsclite=no
-else
-
if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
if test -n "$ac_tool_prefix"; then
@@ -19177,25 +19166,23 @@ fi
# Put the nasty error message in config.log where it belongs
echo "$PCSC_PKG_ERRORS" >&5
- if test -f /usr/local/lib/pkgconfig/libpcsclite.pc ; then
- { { echo "$as_me:$LINENO: error: use PKG_CONFIG_PATH=/usr/local/lib/pkgconfig ./configure" >&5
-echo "$as_me: error: use PKG_CONFIG_PATH=/usr/local/lib/pkgconfig ./configure" >&2;}
+ if $UNIX -eq 1 ; then
+ { { echo "$as_me:$LINENO: error: could not find pcsc-lite libraries" >&5
+echo "$as_me: error: could not find pcsc-lite libraries" >&2;}
{ (exit 1); exit 1; }; }
else
{ echo "$as_me:$LINENO: WARNING: pcsc-lite not found" >&5
echo "$as_me: WARNING: pcsc-lite not found" >&2;}
- with_pcsclite=no
fi
elif test $pkg_failed = untried; then
- if test -f /usr/local/lib/pkgconfig/libpcsclite.pc ; then
- { { echo "$as_me:$LINENO: error: use PKG_CONFIG_PATH=/usr/local/lib/pkgconfig ./configure" >&5
-echo "$as_me: error: use PKG_CONFIG_PATH=/usr/local/lib/pkgconfig ./configure" >&2;}
+ if $UNIX -eq 1 ; then
+ { { echo "$as_me:$LINENO: error: could not find pcsc-lite libraries" >&5
+echo "$as_me: error: could not find pcsc-lite libraries" >&2;}
{ (exit 1); exit 1; }; }
else
{ echo "$as_me:$LINENO: WARNING: pcsc-lite not found" >&5
echo "$as_me: WARNING: pcsc-lite not found" >&2;}
- with_pcsclite=no
fi
else
@@ -19203,8 +19190,7 @@ else
PCSC_LIBS=$pkg_cv_PCSC_LIBS
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
- with_pcsclite=yes
-fi
+ true
fi
# Add argument for pk11install
diff --git a/configure.in b/configure.in
index e6eaf7f..583dd42 100644
--- a/configure.in
+++ b/configure.in
@@ -103,21 +103,13 @@ fi
AC_SUBST(LIBCKYAPPLET)
LIBCKYAPPLET="\${top_builddir}/src/libckyapplet/libckyapplet.la"
-AC_ARG_WITH(pcsclite,
- [ --with-pcsclite Use pcsc-lite (default=yes)])
-if test "$with_pcsclite" = "no" -o "$with_pcsclite" = "false"
-then
- with_pcsclite=no
-else
- PKG_CHECK_MODULES(PCSC, libpcsclite, [ with_pcsclite=yes ],
- [ if test -f /usr/local/lib/pkgconfig/libpcsclite.pc ; then
- AC_MSG_ERROR([use PKG_CONFIG_PATH=/usr/local/lib/pkgconfig ./configure])
+PKG_CHECK_MODULES(PCSC, libpcsclite, true,
+ [ if $UNIX -eq 1 ; then
+ AC_MSG_ERROR([could not find pcsc-lite libraries])
else
AC_MSG_WARN([pcsc-lite not found])
- with_pcsclite=no
fi
])
-fi
# Add argument for pk11install
AC_ARG_ENABLE(pk11install,
diff --git a/coolkey.spec b/coolkey.spec
index d5bc56b..3883fff 100644
--- a/coolkey.spec
+++ b/coolkey.spec
@@ -18,8 +18,8 @@
# END COPYRIGHT BLOCK
Name: coolkey
-Version: 1.0.1
-Release: 2
+Version: 1.1.0
+Release: 1
Summary: CoolKey PKCS #11 module
License: LGPL
URL: http://directory.fedora.redhat.com/wiki/CoolKey
@@ -57,10 +57,6 @@ make %{?_smp_mflags}
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -s pkcs11/libcoolkeypk11.so $RPM_BUILD_ROOT/%{_libdir}
-rm -f $RPM_BUILD_ROOT/%{_libdir}/pkcs11/libcoolkeypk11.la
-rm -f $RPM_BUILD_ROOT/%{_libdir}/pkcs11/libcoolkeypk11.a
-rm -f $RPM_BUILD_ROOT/%{_libdir}/libckyapplet.a
-rm -f $RPM_BUILD_ROOT/%{_libdir}/libckyapplet.la
%clean
rm -rf $RPM_BUILD_ROOT
@@ -84,6 +80,17 @@ rm -rf $RPM_BUILD_ROOT
%changelog
+* Wed Feb 14 2007 Bob Relyea <rrelyea@redhat.com> - 1.1.0
+- Clear any logout rests after a successful login.
+- Don't grab the CUID on cac's. Reseting the card causes it to
+- logout of other applications.
+- Shared memory directory needs to be writeable by all so
+- coolkey can create caches for any user. (lack of caches
+- show up in screen savers reactly slowly).
+- fix login hw race failures
+- make the coolkey token caches persist over application calls.
+- make a separate cache for each user.
+
* Sun Jul 16 2006 Florian La Roche <laroche@redhat.com> - 1.0.1-2
- fix excludearch line
diff --git a/src/coolkey/Makefile.am b/src/coolkey/Makefile.am
index 36545bf..f3011df 100644
--- a/src/coolkey/Makefile.am
+++ b/src/coolkey/Makefile.am
@@ -21,6 +21,7 @@
SUBDIRS =
AM_CPP_FLAGS =
+EXTRA_DIST = coolkeypk11.def
pkcs11dir = $(libdir)/pkcs11
pkcs11_LTLIBRARIES = libcoolkeypk11.la
@@ -33,7 +34,6 @@ libcoolkeypk11_la_SOURCES = \
object.cpp \
PKCS11Exception.cpp \
slot.cpp \
- config.h \
locking.h \
log.h \
machdep.h \
@@ -65,6 +65,10 @@ coolkeypk11.sym: coolkeypk11.def
clean-generic:
rm -f coolkeypk11.sym
+# remove the static and libtool libraries if necessary
+install-data-hook:
+ rm -f $(DESTDIR)$(pkcs11dir)/libcoolkeypk11.a
+ rm -f $(DESTDIR)$(pkcs11dir)/libcoolkeypk11.la
#MODULE = coolkeypk11
diff --git a/src/coolkey/Makefile.in b/src/coolkey/Makefile.in
index f6a1899..908371b 100644
--- a/src/coolkey/Makefile.in
+++ b/src/coolkey/Makefile.in
@@ -234,6 +234,7 @@ target_os = @target_os@
target_vendor = @target_vendor@
SUBDIRS =
AM_CPP_FLAGS =
+EXTRA_DIST = coolkeypk11.def
pkcs11dir = $(libdir)/pkcs11
pkcs11_LTLIBRARIES = libcoolkeypk11.la
libcoolkeypk11_la_SOURCES = \
@@ -245,7 +246,6 @@ libcoolkeypk11_la_SOURCES = \
object.cpp \
PKCS11Exception.cpp \
slot.cpp \
- config.h \
locking.h \
log.h \
machdep.h \
@@ -655,6 +655,8 @@ info: info-recursive
info-am:
install-data-am: install-pkcs11LTLIBRARIES
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) install-data-hook
install-exec-am:
@@ -692,14 +694,15 @@ uninstall-info: uninstall-info-recursive
distclean-compile distclean-generic distclean-libtool \
distclean-recursive distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \
- install-data-am install-exec install-exec-am install-info \
- install-info-am install-man install-pkcs11LTLIBRARIES \
- install-strip installcheck installcheck-am installdirs \
- installdirs-am maintainer-clean maintainer-clean-generic \
- maintainer-clean-recursive mostlyclean mostlyclean-compile \
- mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
- pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
- uninstall-info-am uninstall-pkcs11LTLIBRARIES
+ install-data-am install-data-hook install-exec install-exec-am \
+ install-info install-info-am install-man \
+ install-pkcs11LTLIBRARIES install-strip installcheck \
+ installcheck-am installdirs installdirs-am maintainer-clean \
+ maintainer-clean-generic maintainer-clean-recursive \
+ mostlyclean mostlyclean-compile mostlyclean-generic \
+ mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
+ tags tags-recursive uninstall uninstall-am uninstall-info-am \
+ uninstall-pkcs11LTLIBRARIES
#
@@ -713,6 +716,11 @@ coolkeypk11.sym: coolkeypk11.def
clean-generic:
rm -f coolkeypk11.sym
+# remove the static and libtool libraries if necessary
+install-data-hook:
+ rm -f $(DESTDIR)$(pkcs11dir)/libcoolkeypk11.a
+ rm -f $(DESTDIR)$(pkcs11dir)/libcoolkeypk11.la
+
#MODULE = coolkeypk11
#REQUIRES = ckyapplet zlib
#USE_STATIC_RTL=1
diff --git a/src/coolkey/machdep.cpp b/src/coolkey/machdep.cpp
index 773b2c3..180f6f4 100644
--- a/src/coolkey/machdep.cpp
+++ b/src/coolkey/machdep.cpp
@@ -247,7 +247,9 @@ SHMem::initSegment(const char *name, int size, bool &init)
// from getSHMemAddr.
return NULL;
}
+ int mask = umask(0);
int ret = mkdir (MEMSEGPATH, 0777);
+ umask(mask);
if ((ret == -1) && (errno != EEXIST)) {
delete shmemData;
return NULL;
diff --git a/src/coolkey/slot.cpp b/src/coolkey/slot.cpp
index ef18e83..af151c3 100644
--- a/src/coolkey/slot.cpp
+++ b/src/coolkey/slot.cpp
@@ -625,14 +625,10 @@ Slot::connectToToken()
return;
}
state |= CAC_CARD | APPLET_SELECTABLE | APPLET_PERSONALIZED;
- /* ARG CAC is evil. once you've selected an applet, you cannot
- * select the card manager unless you reset the card...
- * ... even removing and reinserting the card does not change the
- * applet selection,
- * do so reset the card now so we can get the CUID
- * NOTE: this will cause other apps to loose login state!
- CKYCardConnection_Reset(conn);
- readCUID(); /* get the CUID before we loose the ability to */
+ /* skip the read of the cuid. We really don't need it and,
+ * the only way to get it from the cac is to reset it.
+ * other apps may be running now, so resetting the cac is a bit
+ * unfriendly */
isVersion1Key = 0;
needLogin = 1;
@@ -692,6 +688,8 @@ Slot::invalidateLogin(bool hard)
{
if (isVersion1Key) {
if (hard) {
+ reverify = false; /* no need to revalidate in the future,
+ * we're clearing the nonce now */
nonceValid = false;
CKYBuffer_Zero(&nonce);
CKYBuffer_Resize(&nonce,8);
diff --git a/src/libckyapplet/Makefile.am b/src/libckyapplet/Makefile.am
index c23d1c1..e1e93e4 100644
--- a/src/libckyapplet/Makefile.am
+++ b/src/libckyapplet/Makefile.am
@@ -23,6 +23,12 @@ SUBDIRS =
AM_CFLAGS =
+EXTRA_DIST = \
+ cky_list.i \
+ dynlink_win.c \
+ dynlink_unix.c \
+ dynlink_mac.c
+
# bleh what do I add just to get static but pic libraries?
bogusdir = $(libdir)/bogus
lib_LTLIBRARIES = libckyapplet.la
@@ -50,5 +56,10 @@ noinst_HEADERS = \
cky_basei.h \
dynlink.h
+# remove the static and libtool libraries
+install-data-hook:
+ rm -f $(DESTDIR)$(libdir)/libckyapplet.a
+ rm -f $(DESTDIR)$(libdir)/libckyapplet.la
+
pcdir = $(libdir)/pkgconfig
pc_DATA = libckyapplet.pc
diff --git a/src/libckyapplet/Makefile.in b/src/libckyapplet/Makefile.in
index bc1cccf..f2254b3 100644
--- a/src/libckyapplet/Makefile.in
+++ b/src/libckyapplet/Makefile.in
@@ -233,6 +233,12 @@ target_os = @target_os@
target_vendor = @target_vendor@
SUBDIRS =
AM_CFLAGS =
+EXTRA_DIST = \
+ cky_list.i \
+ dynlink_win.c \
+ dynlink_unix.c \
+ dynlink_mac.c
+
# bleh what do I add just to get static but pic libraries?
bogusdir = $(libdir)/bogus
@@ -667,6 +673,8 @@ info: info-recursive
info-am:
install-data-am: install-nobase_includeHEADERS install-pcDATA
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) install-data-hook
install-exec-am: install-libLTLIBRARIES
@@ -705,17 +713,22 @@ uninstall-info: uninstall-info-recursive
distclean-compile distclean-generic distclean-libtool \
distclean-recursive distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \
- install-data-am install-exec install-exec-am install-info \
- install-info-am install-libLTLIBRARIES install-man \
- install-nobase_includeHEADERS install-pcDATA install-strip \
- installcheck installcheck-am installdirs installdirs-am \
- maintainer-clean maintainer-clean-generic \
+ install-data-am install-data-hook install-exec install-exec-am \
+ install-info install-info-am install-libLTLIBRARIES \
+ install-man install-nobase_includeHEADERS install-pcDATA \
+ install-strip installcheck installcheck-am installdirs \
+ installdirs-am maintainer-clean maintainer-clean-generic \
maintainer-clean-recursive mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
uninstall-info-am uninstall-libLTLIBRARIES \
uninstall-nobase_includeHEADERS uninstall-pcDATA
+
+# remove the static and libtool libraries
+install-data-hook:
+ rm -f $(DESTDIR)$(libdir)/libckyapplet.a
+ rm -f $(DESTDIR)$(libdir)/libckyapplet.la
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: